/* 
 * @author Mutsunori Banbara 
 *         banbara@pascal.seg.kobe-u.ac.jp
 *         Nara National College of Technology
 * @author Naoyuki Tamura 
 *         tamura@kobe-u.ac.jp
 *         Kobe University
 * Modified by Jon Cook.
 */

namespace JJC.Psharp.Lang {

	[System.Serializable]
	public abstract class NumberTerm : Term {
		abstract public int IntValue();
		abstract public long LongValue();
		abstract public double DoubleValue();
	}

}