/*
 * @(#)ReturnJava.cs
 */

/* 
 * @author Mutsunori Banbara 
 *         banbara@pascal.seg.kobe-u.ac.jp
 *         Nara National College of Technology
 * @author Naoyuki Tamura 
 *         tamura@kobe-u.ac.jp
 *         Kobe University
 * Modified by Jon Cook.
 */

namespace JJC.Psharp.Lang {

	public sealed class ReturnCs : Predicate {
		public PrologInterface p;

		public ReturnCs( PrologInterface p ){
			this.p = p;
		}

		public override Predicate exec( Prolog engine ) {
			p.Success();
			return engine.fail();
		}

		public override void setArgument( Term[] t, Predicate p ) {
			throw new System.Exception( );
		}

		public override string ToString(){ return "ReturnCs";}
		public override int arity() { return 0; }
	}
}